API Reference for Marketo Engage

Sync Custom Objects

POST /subscriptions/{munchkinId}/customobjects/{customObjectAPIName}

Upsert (insert or update) a list of custom object records. If a link field to a Person is specified in the request and that Person does not exist, several retries occur. If that Person is added during the retry window (65 minutes), then the update is successful.

Operation ID
syncCustomObjects
Permissions
Read-Write Custom Object
Request format
application/json
Returns
ErrorResponse

Parameters

Path 2

munchkinId string required

Marketo subscription Munchkin ID

customObjectAPIName string required

The API name of the custom object type

Header 3

X-Mkto-User-Token string required

Marketo API access token

X-Correlation-Id string

Arbitrary string (max 255 characters). Used to trace requests through the system via Marketo Observability Data Stream.

X-Request-Source string

Arbitrary string (max 50 characters). Used to trace the source of requests.

Request body

application/json · required · SyncCustomObjectsRequest · 3 properties

priority string

Priority of the request.

Values normal high

dedupeBy string

Attributes to deduplicate on.

Values dedupeFields marketoGUID

customObjects array of CustomObject required

List of attribute name-value pairs for the object.

Responses

202 Accepted – request accepted for async processing

No response body is documented for this status.

400 Bad request ErrorResponse
error_code string

Error code.

message string

Error message.

Generated example
{
  "error_code": "4000801",
  "message": "Bad request"
}
401 Unauthorized – OAuth token is invalid ErrorResponse
error_code string

Error code.

message string

Error message.

Generated example
{
  "error_code": "4000801",
  "message": "Bad request"
}

Referenced models

Generated from swagger-data-ingestion.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results